<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class Forms extends CI_Controller{
	
	function __construct()
	{
		parent::__construct();
		
		$this->load->helper(array('form', 'url'));
		$this->load->library('form_validation');
		$this->load->library('session');
		
		
	}
	
	public function simple_login_form()
	{
		$this->form_validation->set_rules('email','Email','trim|required|valid_email');
		$this->form_validation->set_rules('password','Password','trim|required');
		
		if($this->form_validation->run() == FALSE)
		{
			$this->load->view('simple_login');
		}
		else
		{
			$email = $this->input->post('email'); // NO XSS Filter
			$password = $this->input->post('password'); // NO XSS Filter 
			
			//verify user from database
			
			$this->session->set_flashdata('success', 'Thank you! your form has submitted');
			$this->load->view('simple_login');
		}	
	}
	
	public function advance_login_form()
	{
		
		$form_rules = array(
			array(
				'field' =>'email',
				'label' =>'Email',
				'rules' =>'trim|required|valid_email|callback_email_check',
				array(
					'required' => 'Please provide email'
				)
			),
			array(
				'field' => 'password',
				'label' => 'Password',
				'rules' => 'trim|required'
			),
		
		);
		
		$this->form_validation->set_rules($form_rules);
		
		$this->form_validation->set_error_delimiters('<div class="alert alert-danger" role="alert">', '</div>');

		
		if($this->form_validation->run() == FALSE)
		{
			$this->load->view('advance_login');
		}
		else
		{
			
			$email = $this->input->post('email', TRUE); // XSS Clean
			$password = $this->input->post('password', TRUE); // XSS Clean
			
			//verify user from database
			
			$this->session->set_flashdata('success', 'Thank you! your form has submitted');
			$this->load->view('advance_login');
		}
	}
	
	
	public function registration_form()
	{
		$form_rules = array(
			array(
				'field' => 'first_name',
				'label' => 'First Name',
				'rules' => 'trim|required'),
			array(
				'field' => 'last_name',
				'label' => 'Last Name',
				'rules' => 'trim|required'),
			array(
				'field' =>'email',
				'label' =>'Email',
				'rules' =>'trim|required|valid_email|callback_email_check|is_unique[users.email]',
				array(
					'required' => 'Please provide email',
					'is_unique' => 'Email address is already registered'
				)
			),
			array(
				'field' => 'password',
				'label' => 'Password',
				'rules' => 'trim|required|min_length[8]|alpha_numeric'
			),
			array(
				'field' => 'conf_password',
				'label' => 'Confirm Password',
				'rules' => 'trim|required|matches[password]'
			),
		
		);
		
		$this->form_validation->set_rules($form_rules);
		
		$this->form_validation->set_error_delimiters('<div class="alert alert-danger" role="alert">', '</div>');

		
		if($this->form_validation->run() == FALSE)
		{
			$this->load->view('registration');
		}
		else
		{
			
			$email = $this->input->post('email', TRUE); // XSS Clean
			$password = $this->input->post('password', TRUE); // XSS Clean
			
			//verify user from database
			
			$this->session->set_flashdata('success', 'Thank you! your form has submitted');
			$this->load->view('registration');
		}
		
		
	}
	
	
	public function email_check($email)
	{
		$this->form_validation->set_message('email_check', 'Domain must gmail id');
		return strpos($email, '@gmail.com') !== false;
	}
	
	
}